Package: org.codehaus.groovy.util

## [Java] Class ManagedLinkedList<T>

- org.codehaus.groovy.util.ManagedLinkedList

- This class provides a very simple linked list of memory managed elements. This class does not support concurrent modifications nor will it check for them. This class is also not thread safe.

  Authors:
    Jochen Theodorou
  Since:
    1.6

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `def` | `ManagedLinkedList(ReferenceBundle bundle)`
    `void` | `add(T value)` adds a value to the list
    `boolean` | `isEmpty()` returns if the list is empty
    `Iterator<T>` | `iterator()` returns an iterator, which allows the removal of elements.
    `T[]` | `toArray(T[] tArray)` Returns an array of non null elements from the source array.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public def ManagedLinkedList(ReferenceBundle bundle)

    - #### public void add(T value)

      adds a value to the list

      Parameters:
        `value` - the value

    - #### public boolean isEmpty()

      returns if the list is empty

      Returns:
        true if the list is empty

    - #### public Iterator<T> iterator()

      returns an iterator, which allows the removal of elements. The next() method of the iterator may return null values. This is especially the case if the value was removed.

      Returns:
        the Iterator

    - #### public T[] toArray(T[] tArray)

      Returns an array of non null elements from the source array.

      Parameters:
        `tArray` - the source array
      Returns:
        the array